<!-- Navigation -->
<nav class="navbar navbar-expand-lg navbar-light bg-light static-top mb-3">
    <div class="container">
        <a class="navbar-brand" href="{{ url('homepage') }}"><b>TWIM</b></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse " id="navbarResponsive">

            <div class="ml-5 mr-5" style="width: 100%;">
                <form action="{{ url('create_buy_word') }}" method="get">
                    <div class="input-group">
                        <input type="hidden" id="hdn_input_hm_word" value="{{ csrf_token('hm_word_inp_to_buy') }}">
                        <input type="text" id="hm_input_word" name="wn" class="form-control {{ app.user ? 'hm_cls_word_name_inpt' : 'login_on_focus' }}"
                               placeholder="{{ 'buy.a.word'|trans }}" data-check-url="{{ app.user ? url('only_word_post_validation') }}"
                               aria-label="{{ 'buy.a.word'|trans }}" aria-describedby="basic-addon2">
                        <div class="input-group-append">
                            {% if app.user %}
                                <button id="btn-create-word-on-success" class="btn btn-secondary" data-buy-word="{{ url('create_buy_word') }}" type="submit" disabled>
                                    <span style="display:none" id="spnn-buy-new-word" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                                    <i class="fas fa-dollar-sign"></i>
                                </button>
                            {% else %}
                                <button class="btn btn-secondary" type="button" disabled><i class="fas fa-dollar-sign"></i></button>
                            {% endif %}
                        </div>
                        <label for="hm_input_word"></label>
                    </div>
                </form>
            </div>

            <ul class="navbar-nav ml-auto" style="width: 31%;">

                {% if app.user %}
                    {# IF HE IS LOGGED #}
                    <li class="nav-item ml-3 mt-2">
                        <a href="{{ url('show_private_profile') }}" class="no-underline">
                            <i class="fas fa-user-circle fa-lg"></i>
                        </a>
                    </li>
                    <li class="nav-item ml-3 mt-2">
                        <a href="#" class="no-underline">
                            <i class="fas fa-bell fa-lg"></i>
                        </a>
                    </li>
                    <li class="nav-item ml-2 dropdown">
                        <a class="nav-link{# dropdown-toggle#}" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            {#{{ app.user.username }}#}
                            <i class="fas fa-bars fa-lg"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            {% if is_granted("ROLE_ADMIN") %}
                                <a class="dropdown-item" href="{{ url('admin_homepage') }}"><i class="fas fa-cogs"></i> Admin Panel</a>
                            {% endif %}
                            <a class="dropdown-item" href="{{ url('twim_logout') }}"><i class="fas fa-sign-out-alt"></i> Logout</a>
                        </div>
                    </li>
                {% else %}
                    {# IF HE IS NOT LOGGED #}
                    <li class="nav-item mr-3">
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#loginModal">
                            {{ 'login'|trans }}
                        </button>
                        {{ include(':Default/Modal:_login.html.twig') }}
                    </li>
                    <li class="nav-item mr-3">
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#signupModal">
                            {{ 'sign.up'|trans }}
                        </button>
                        {{ include(':Default/Modal:_signup.html.twig') }}
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>